# versions.export

> GET https://app.intraface.cc/api/v1/boards/{id}/versions/{n}/export

An agent token (`Authorization: Bearer ifc_…`) or a signed-in person. Needs the `board.view` permission on the board.

**Auth:** agent token (`Authorization: Bearer ifc_…`) or signed-in session (`__session` cookie)

## Path parameters

- `id` (string, required)
- `n` (integer, required)

## Responses

### 200: Success.

application/json:

```json
{
  "type": "object",
  "properties": {
    "board": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "slug": {
          "type": "string",
          "pattern": "^[a-z0-9](?:[a-z0-9-]{0,62}[a-z0-9])?$"
        },
        "title": {
          "type": "string"
        },
        "url": {
          "type": "string",
          "format": "uri"
        }
      },
      "required": [
        "id",
        "slug",
        "title",
        "url"
      ]
    },
    "version": {
      "type": "object",
      "properties": {
        "n": {
          "type": "integer",
          "exclusiveMinimum": 0,
          "maximum": 9007199254740991
        },
        "parent_n": {
          "anyOf": [
            {
              "type": "integer",
              "minimum": 0,
              "maximum": 9007199254740991
            },
            {
              "type": "null"
            }
          ]
        },
        "author": {
          "type": "object",
          "properties": {
            "id": {
              "type": "string",
              "pattern": "^user_[A-Za-z0-9]+$"
            },
            "name": {
              "type": [
                "string",
                "null"
              ]
            }
          },
          "required": [
            "id",
            "name"
          ]
        },
        "agent": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "created_at": {
          "type": "string",
          "format": "date-time",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
        },
        "manifest_sha": {
          "type": "string",
          "pattern": "^[a-f0-9]{64}$"
        },
        "size_bytes": {
          "type": "integer",
          "minimum": 0,
          "maximum": 9007199254740991
        }
      },
      "required": [
        "n",
        "parent_n",
        "author",
        "agent",
        "message",
        "created_at",
        "manifest_sha",
        "size_bytes"
      ]
    },
    "manifest": {
      "type": "object",
      "properties": {
        "entry": {
          "type": "string",
          "pattern": "\\.html?$"
        },
        "files": {}
      },
      "required": [
        "entry",
        "files"
      ]
    },
    "exported_at": {
      "type": "string",
      "format": "date-time",
      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
    },
    "pack": {
      "type": "object",
      "properties": {
        "files": {
          "type": "integer",
          "exclusiveMinimum": 0,
          "maximum": 9007199254740991
        },
        "bytes": {
          "type": "integer",
          "exclusiveMinimum": 0,
          "maximum": 9007199254740991
        }
      },
      "required": [
        "files",
        "bytes"
      ]
    }
  },
  "required": [
    "board",
    "version",
    "manifest",
    "exported_at",
    "pack"
  ]
}
```

### default

Any other error, in the shared envelope `{ error: { code, message, hint?, details? } }`.
